diff --git c/scala/collection/GenTraversableViewLike$EmptyView.class w/scala/collection/GenTraversableViewLike$EmptyView.class
index b07c5caede..08b07b0296 100644
--- c/scala/collection/GenTraversableViewLike$EmptyView.class
+++ w/scala/collection/GenTraversableViewLike$EmptyView.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //EmptyView=class scala/collection/GenTraversableView
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$EmptyView extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$EmptyView extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract boolean isEmpty();
   Signature: ()Z
 
diff --git c/scala/collection/GenTraversableViewLike$Filtered.class w/scala/collection/GenTraversableViewLike$Filtered.class
index df3ac54ba1..ef75ab00d5 100644
--- c/scala/collection/GenTraversableViewLike$Filtered.class
+++ w/scala/collection/GenTraversableViewLike$Filtered.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Filtered=class scala/collection/GenTraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Filtered extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Filtered extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.Function1 pred();
   Signature: ()Lscala/Function1;
 
diff --git c/scala/collection/GenTraversableViewLike$FlatMapped.class w/scala/collection/GenTraversableViewLike$FlatMapped.class
index 15de625420..66d53dcb18 100644
--- c/scala/collection/GenTraversableViewLike$FlatMapped.class
+++ w/scala/collection/GenTraversableViewLike$FlatMapped.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //FlatMapped=class scala/collection/GenTraversableVie
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$FlatMapped extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$FlatMapped extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.Function1 mapping();
   Signature: ()Lscala/Function1;
 
diff --git c/scala/collection/GenTraversableViewLike$Forced.class w/scala/collection/GenTraversableViewLike$Forced.class
index 911cc8dd8c..f8959f0ddf 100644
--- c/scala/collection/GenTraversableViewLike$Forced.class
+++ w/scala/collection/GenTraversableViewLike$Forced.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Forced=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Forced extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Forced extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.collection.GenSeq forced();
   Signature: ()Lscala/collection/GenSeq;
 
diff --git c/scala/collection/GenTraversableViewLike$Mapped.class w/scala/collection/GenTraversableViewLike$Mapped.class
index 2eb65921f4..b0eab5bab1 100644
--- c/scala/collection/GenTraversableViewLike$Mapped.class
+++ w/scala/collection/GenTraversableViewLike$Mapped.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Mapped=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Mapped extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Mapped extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.Function1 mapping();
   Signature: ()Lscala/Function1;
 
diff --git c/scala/collection/GenTraversableViewLike$Sliced.class w/scala/collection/GenTraversableViewLike$Sliced.class
index 73c71b1eee..0ac53cc060 100644
--- c/scala/collection/GenTraversableViewLike$Sliced.class
+++ w/scala/collection/GenTraversableViewLike$Sliced.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Sliced=class scala/collection/GenTraversableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Sliced extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Sliced extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.collection.generic.SliceInterval endpoints();
   Signature: ()Lscala/collection/generic/SliceInterval;
 
diff --git c/scala/collection/GenTraversableViewLike$TakenWhile.class w/scala/collection/GenTraversableViewLike$TakenWhile.class
index 5a781fcbdd..215942ef9c 100644
--- c/scala/collection/GenTraversableViewLike$TakenWhile.class
+++ w/scala/collection/GenTraversableViewLike$TakenWhile.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //TakenWhile=class scala/collection/GenTraversableVie
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$TakenWhile extends scala.collection.GenTraversableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$TakenWhile extends scala.collection.GenTraversableViewLike$Transformed{
 public abstract scala.Function1 pred();
   Signature: ()Lscala/Function1;
 
diff --git c/scala/collection/GenTraversableViewLike$Transformed.class w/scala/collection/GenTraversableViewLike$Transformed.class
index dadcc4676b..a30b6ba665 100644
--- c/scala/collection/GenTraversableViewLike$Transformed.class
+++ w/scala/collection/GenTraversableViewLike$Transformed.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Transformed=class scala/collection/GenTraversableViewLike$Transformed of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike$Transformed extends scala.collection.GenTraversableView,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike$Transformed extends scala.collection.GenTraversableView{
 public abstract void foreach(scala.Function1);
   Signature: (Lscala/Function1;)V
 
diff --git c/scala/collection/GenTraversableViewLike.class w/scala/collection/GenTraversableViewLike.class
index 38ef156fcd..b7b0685adf 100644
--- c/scala/collection/GenTraversableViewLike.class
+++ w/scala/collection/GenTraversableViewLike.class
@@ -21,7 +21,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/GenTravers
 public abstract #= # of #; //DroppedWhile$class=class scala/collection/GenTraversableViewLike$DroppedWhile$class of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenTraversableViewLike.scala"
-public interface scala.collection.GenTraversableViewLike extends scala.collection.GenTraversable,scala.collection.GenTraversableLike,scala.ScalaObject{
+public interface scala.collection.GenTraversableViewLike extends scala.collection.GenTraversable{
 public abstract java.lang.Object force(scala.collection.generic.CanBuildFrom);
   Signature: (Lscala/collection/generic/CanBuildFrom;)Ljava/lang/Object;
 
diff --git c/scala/collection/IndexedSeq.class w/scala/collection/IndexedSeq.class
index aab3a8d541..592e230acf 100644
--- c/scala/collection/IndexedSeq.class
+++ w/scala/collection/IndexedSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "IndexedSeq.scala"
-public interface scala.collection.IndexedSeq extends scala.collection.Seq,scala.collection.generic.GenericTraversableTemplate,scala.collection.IndexedSeqLike,scala.ScalaObject{
+public interface scala.collection.IndexedSeq extends scala.collection.Seq,scala.collection.IndexedSeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/IndexedSeqLike$Elements.class w/scala/collection/IndexedSeqLike$Elements.class
index 9ce1f2ccb5..d923630abb 100644
--- c/scala/collection/IndexedSeqLike$Elements.class
+++ w/scala/collection/IndexedSeqLike$Elements.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Elements=class scala/collection/IndexedSeqLike$Elements of class scala/collection/IndexedSeqLike
 
 Compiled from "IndexedSeqLike.scala"
-public class scala.collection.IndexedSeqLike$Elements extends scala.collection.AbstractIterator implements scala.collection.BufferedIterator,scala.Serializable,scala.ScalaObject{
+public class scala.collection.IndexedSeqLike$Elements extends scala.collection.AbstractIterator implements scala.collection.BufferedIterator,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/IndexedSeqLike.class w/scala/collection/IndexedSeqLike.class
index b7c31b3f57..76ceae990e 100644
--- c/scala/collection/IndexedSeqLike.class
+++ w/scala/collection/IndexedSeqLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Elements=class scala/collection/IndexedSeqLike$Elements of class scala/collection/IndexedSeqLike
 
 Compiled from "IndexedSeqLike.scala"
-public interface scala.collection.IndexedSeqLike extends scala.collection.SeqLike,scala.ScalaObject{
+public interface scala.collection.IndexedSeqLike extends scala.collection.SeqLike{
 public abstract scala.collection.IndexedSeq seq();
   Signature: ()Lscala/collection/IndexedSeq;
 
diff --git c/scala/collection/IndexedSeqOptimized.class w/scala/collection/IndexedSeqOptimized.class
index a3a481102c..77c281db75 100644
--- c/scala/collection/IndexedSeqOptimized.class
+++ w/scala/collection/IndexedSeqOptimized.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "IndexedSeqOptimized.scala"
-public interface scala.collection.IndexedSeqOptimized extends scala.collection.IndexedSeqLike,scala.ScalaObject{
+public interface scala.collection.IndexedSeqOptimized extends scala.collection.IndexedSeqLike{
 public abstract java.lang.Object scala$collection$IndexedSeqOptimized$$super$reduceLeft(scala.Function2);
   Signature: (Lscala/Function2;)Ljava/lang/Object;
 
diff --git c/scala/collection/Iterable$.class w/scala/collection/Iterable$.class
index 02e6c1f4ab..03b66a4750 100644
--- c/scala/collection/Iterable$.class
+++ w/scala/collection/Iterable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Iterable.scala"
-public final class scala.collection.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.Iterable$ MODULE$;
   Signature: Lscala/collection/Iterable$;
 
diff --git c/scala/collection/Iterable.class w/scala/collection/Iterable.class
index 18a0e711c8..bfe7570079 100644
--- c/scala/collection/Iterable.class
+++ w/scala/collection/Iterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Iterable.scala"
-public interface scala.collection.Iterable extends scala.collection.Traversable,scala.collection.GenIterable,scala.collection.generic.GenericTraversableTemplate,scala.collection.IterableLike,scala.ScalaObject{
+public interface scala.collection.Iterable extends scala.collection.Traversable,scala.collection.GenIterable,scala.collection.IterableLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/IterableLike.class w/scala/collection/IterableLike.class
index 1651be1f01..189661b844 100644
--- c/scala/collection/IterableLike.class
+++ w/scala/collection/IterableLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "IterableLike.scala"
-public interface scala.collection.IterableLike extends scala.Equals,scala.collection.TraversableLike,scala.collection.GenIterableLike,scala.ScalaObject{
+public interface scala.collection.IterableLike extends scala.Equals,scala.collection.TraversableLike,scala.collection.GenIterableLike{
 public abstract scala.collection.Iterable thisCollection();
   Signature: ()Lscala/collection/Iterable;
 
diff --git c/scala/collection/IterableProxyLike.class w/scala/collection/IterableProxyLike.class
index 46926aa22d..316a1cc3a6 100644
--- c/scala/collection/IterableProxyLike.class
+++ w/scala/collection/IterableProxyLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "IterableProxyLike.scala"
-public interface scala.collection.IterableProxyLike extends scala.collection.IterableLike,scala.collection.TraversableProxyLike,scala.ScalaObject{
+public interface scala.collection.IterableProxyLike extends scala.collection.IterableLike,scala.collection.TraversableProxyLike{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/IterableViewLike$AbstractTransformed.class w/scala/collection/IterableViewLike$AbstractTransformed.class
index 6ab35b5d98..ef1585b7e6 100644
--- c/scala/collection/IterableViewLike$AbstractTransformed.class
+++ w/scala/collection/IterableViewLike$AbstractTransformed.class
@@ -11,7 +11,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/GenIterabl
 public abstract #= # of #; //Transformed$class=class scala/collection/GenTraversableViewLike$Transformed$class of class scala/collection/GenTraversableViewLike
 
 Compiled from "IterableViewLike.scala"
-public abstract class scala.collection.IterableViewLike$AbstractTransformed extends java.lang.Object implements scala.collection.TraversableViewLike$Transformed,scala.collection.IterableViewLike$Transformed,scala.ScalaObject{
+public abstract class scala.collection.IterableViewLike$AbstractTransformed extends java.lang.Object implements scala.collection.IterableViewLike$Transformed{
 public final scala.collection.IterableViewLike $outer;
   Signature: Lscala/collection/IterableViewLike;
 
diff --git c/scala/collection/IterableViewLike$Transformed.class w/scala/collection/IterableViewLike$Transformed.class
index a259ce97d5..620f5c6537 100644
--- c/scala/collection/IterableViewLike$Transformed.class
+++ w/scala/collection/IterableViewLike$Transformed.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/TraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "IterableViewLike.scala"
-public interface scala.collection.IterableViewLike$Transformed extends scala.collection.IterableView,scala.collection.TraversableViewLike$Transformed,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.IterableViewLike$Transformed extends scala.collection.IterableView,scala.collection.TraversableViewLike$Transformed,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/IterableViewLike.class w/scala/collection/IterableViewLike.class
index 62734388b3..f524be607c 100644
--- c/scala/collection/IterableViewLike.class
+++ w/scala/collection/IterableViewLike.class
@@ -15,7 +15,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/IterableVi
 public abstract #= # of #; //AbstractTransformed=class scala/collection/IterableViewLike$AbstractTransformed of class scala/collection/IterableViewLike
 
 Compiled from "IterableViewLike.scala"
-public interface scala.collection.IterableViewLike extends scala.collection.Iterable,scala.collection.IterableLike,scala.collection.TraversableView,scala.collection.TraversableViewLike,scala.collection.GenIterableViewLike,scala.ScalaObject{
+public interface scala.collection.IterableViewLike extends scala.collection.Iterable,scala.collection.TraversableView,scala.collection.GenIterableViewLike{
 public abstract scala.collection.IterableViewLike$Transformed newZipped(scala.collection.GenIterable);
   Signature: (Lscala/collection/GenIterable;)Lscala/collection/IterableViewLike$Transformed;
 
diff --git c/scala/collection/Iterator$GroupedIterator.class w/scala/collection/Iterator$GroupedIterator.class
index 843788dbde..aa83367111 100644
--- c/scala/collection/Iterator$GroupedIterator.class
+++ w/scala/collection/Iterator$GroupedIterator.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GroupedIterator=class scala/collection/Iterator$GroupedIterator of class scala/collection/Iterator
 
 Compiled from "Iterator.scala"
-public class scala.collection.Iterator$GroupedIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject{
+public class scala.collection.Iterator$GroupedIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator{
 private final scala.collection.Iterator self;
   Signature: Lscala/collection/Iterator;
 
diff --git c/scala/collection/Iterator.class w/scala/collection/Iterator.class
index 6c89e33057..b3f56f4e4d 100644
--- c/scala/collection/Iterator.class
+++ w/scala/collection/Iterator.class
@@ -5,7 +5,7 @@ public #= # of #; //GroupedIterator=class scala/collection/Iterator$GroupedItera
 public #= #; //PartitionIterator$=class scala/collection/Iterator$PartitionIterator$
 
 Compiled from "Iterator.scala"
-public interface scala.collection.Iterator extends scala.collection.TraversableOnce,scala.ScalaObject{
+public interface scala.collection.Iterator extends scala.collection.TraversableOnce{
 public abstract scala.collection.Iterator seq();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/JavaConversions$DictionaryWrapper.class w/scala/collection/JavaConversions$DictionaryWrapper.class
index c32730b62d..32082d86e9 100644
--- c/scala/collection/JavaConversions$DictionaryWrapper.class
+++ w/scala/collection/JavaConversions$DictionaryWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //DictionaryWrapper=class scala/collection/JavaConversions$DictionaryWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$DictionaryWrapper extends java.util.Dictionary implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$DictionaryWrapper extends java.util.Dictionary implements scala.Product,scala.Serializable{
 private final scala.collection.mutable.Map underlying;
   Signature: Lscala/collection/mutable/Map;
 
diff --git c/scala/collection/JavaConversions$IterableWrapper.class w/scala/collection/JavaConversions$IterableWrapper.class
index 34e3d75686..c95d435b86 100644
--- c/scala/collection/JavaConversions$IterableWrapper.class
+++ w/scala/collection/JavaConversions$IterableWrapper.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //IterableWrapperTrait=class scala/collection/JavaCon
 public abstract #= # of #; //IterableWrapperTrait$class=class scala/collection/JavaConversions$IterableWrapperTrait$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$IterableWrapper extends java.util.AbstractCollection implements scala.collection.JavaConversions$IterableWrapperTrait,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$IterableWrapper extends java.util.AbstractCollection implements scala.collection.JavaConversions$IterableWrapperTrait,scala.Product,scala.Serializable{
 private final scala.collection.Iterable underlying;
   Signature: Lscala/collection/Iterable;
 
diff --git c/scala/collection/JavaConversions$IteratorWrapper.class w/scala/collection/JavaConversions$IteratorWrapper.class
index c065b4a1bd..f92a28fb3d 100644
--- c/scala/collection/JavaConversions$IteratorWrapper.class
+++ w/scala/collection/JavaConversions$IteratorWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //IteratorWrapper=class scala/collection/JavaConversions$IteratorWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$IteratorWrapper extends java.lang.Object implements java.util.Iterator,java.util.Enumeration,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$IteratorWrapper extends java.lang.Object implements java.util.Iterator,java.util.Enumeration,scala.Product,scala.Serializable{
 private final scala.collection.Iterator underlying;
   Signature: Lscala/collection/Iterator;
 
diff --git c/scala/collection/JavaConversions$JCollectionWrapper.class w/scala/collection/JavaConversions$JCollectionWrapper.class
index 81e0fb250f..e5f3756b5a 100644
--- c/scala/collection/JavaConversions$JCollectionWrapper.class
+++ w/scala/collection/JavaConversions$JCollectionWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JCollectionWrapper=class scala/collection/JavaConversions$JCollectionWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JCollectionWrapper extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JCollectionWrapper extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.Product,scala.Serializable{
 private final java.util.Collection underlying;
   Signature: Ljava/util/Collection;
 
diff --git c/scala/collection/JavaConversions$JConcurrentMapWrapper.class w/scala/collection/JavaConversions$JConcurrentMapWrapper.class
index 01d5517d69..48b91b8efd 100644
--- c/scala/collection/JavaConversions$JConcurrentMapWrapper.class
+++ w/scala/collection/JavaConversions$JConcurrentMapWrapper.class
@@ -4,7 +4,7 @@ public #= # of #; //JConcurrentMapWrapper=class scala/collection/JavaConversions
 public abstract #= # of #; //JMapWrapperLike$class=class scala/collection/JavaConversions$JMapWrapperLike$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JConcurrentMapWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.JavaConversions$JMapWrapperLike,scala.collection.mutable.ConcurrentMap,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JConcurrentMapWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.JavaConversions$JMapWrapperLike,scala.collection.mutable.ConcurrentMap,scala.Product,scala.Serializable{
 private final java.util.concurrent.ConcurrentMap underlying;
   Signature: Ljava/util/concurrent/ConcurrentMap;
 
diff --git c/scala/collection/JavaConversions$JDictionaryWrapper.class w/scala/collection/JavaConversions$JDictionaryWrapper.class
index b8e4b889d9..db2b17eb2e 100644
--- c/scala/collection/JavaConversions$JDictionaryWrapper.class
+++ w/scala/collection/JavaConversions$JDictionaryWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JDictionaryWrapper=class scala/collection/JavaConversions$JDictionaryWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JDictionaryWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JDictionaryWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.Product,scala.Serializable{
 private final java.util.Dictionary underlying;
   Signature: Ljava/util/Dictionary;
 
diff --git c/scala/collection/JavaConversions$JEnumerationWrapper.class w/scala/collection/JavaConversions$JEnumerationWrapper.class
index 52fe66faee..d88780c220 100644
--- c/scala/collection/JavaConversions$JEnumerationWrapper.class
+++ w/scala/collection/JavaConversions$JEnumerationWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JEnumerationWrapper=class scala/collection/JavaConversions$JEnumerationWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JEnumerationWrapper extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JEnumerationWrapper extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.Product,scala.Serializable{
 private final java.util.Enumeration underlying;
   Signature: Ljava/util/Enumeration;
 
diff --git c/scala/collection/JavaConversions$JIterableWrapper.class w/scala/collection/JavaConversions$JIterableWrapper.class
index d0f9827e6e..84631d045e 100644
--- c/scala/collection/JavaConversions$JIterableWrapper.class
+++ w/scala/collection/JavaConversions$JIterableWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JIterableWrapper=class scala/collection/JavaConversions$JIterableWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JIterableWrapper extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JIterableWrapper extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.Product,scala.Serializable{
 private final java.lang.Iterable underlying;
   Signature: Ljava/lang/Iterable;
 
diff --git c/scala/collection/JavaConversions$JIteratorWrapper.class w/scala/collection/JavaConversions$JIteratorWrapper.class
index 719f8521e2..b2418de29f 100644
--- c/scala/collection/JavaConversions$JIteratorWrapper.class
+++ w/scala/collection/JavaConversions$JIteratorWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JIteratorWrapper=class scala/collection/JavaConversions$JIteratorWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JIteratorWrapper extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JIteratorWrapper extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.Product,scala.Serializable{
 private final java.util.Iterator underlying;
   Signature: Ljava/util/Iterator;
 
diff --git c/scala/collection/JavaConversions$JListWrapper.class w/scala/collection/JavaConversions$JListWrapper.class
index 7d7fe90d99..ee39cb1cd7 100644
--- c/scala/collection/JavaConversions$JListWrapper.class
+++ w/scala/collection/JavaConversions$JListWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JListWrapper=class scala/collection/JavaConversions$JListWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JListWrapper extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JListWrapper extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.Product,scala.Serializable{
 private final java.util.List underlying;
   Signature: Ljava/util/List;
 
diff --git c/scala/collection/JavaConversions$JMapWrapper.class w/scala/collection/JavaConversions$JMapWrapper.class
index 93ea760934..9a983b0a34 100644
--- c/scala/collection/JavaConversions$JMapWrapper.class
+++ w/scala/collection/JavaConversions$JMapWrapper.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //JMapWrapperLike=class scala/collection/JavaConversi
 public abstract #= # of #; //JMapWrapperLike$class=class scala/collection/JavaConversions$JMapWrapperLike$class of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JMapWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.JavaConversions$JMapWrapperLike,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JMapWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.JavaConversions$JMapWrapperLike,scala.Product,scala.Serializable{
 private final java.util.Map underlying;
   Signature: Ljava/util/Map;
 
diff --git c/scala/collection/JavaConversions$JMapWrapperLike.class w/scala/collection/JavaConversions$JMapWrapperLike.class
index f44296cb18..d448e96891 100644
--- c/scala/collection/JavaConversions$JMapWrapperLike.class
+++ w/scala/collection/JavaConversions$JMapWrapperLike.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //JMapWrapperLike=class scala/collection/JavaConversions$JMapWrapperLike of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public interface scala.collection.JavaConversions$JMapWrapperLike extends scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.ScalaObject{
+public interface scala.collection.JavaConversions$JMapWrapperLike extends scala.collection.mutable.Map{
 public abstract java.util.Map underlying();
   Signature: ()Ljava/util/Map;
 
diff --git c/scala/collection/JavaConversions$JPropertiesWrapper.class w/scala/collection/JavaConversions$JPropertiesWrapper.class
index d4436d50ae..0cd511f776 100644
--- c/scala/collection/JavaConversions$JPropertiesWrapper.class
+++ w/scala/collection/JavaConversions$JPropertiesWrapper.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //JPropertiesWrapper=class scala/collection/JavaConversions$JPropertiesWrapper of class scala/collection/JavaConversions
 
 Compiled from "JavaConversions.scala"
-public class scala.collection.JavaConversions$JPropertiesWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.JavaConversions$JPropertiesWrapper extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.Product,scala.Serializable{
 private final java.util.Properties underlying;
   Signature: Ljava/util/Properties;
 
